Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.app.xmlpipeline
Class XmlPipeline

    java.lang.Object
      com.servingxml.app.xmlpipeline.XmlPipeline

All Implemented Interfaces:
  XmlFilterChain

    public class XmlPipeline

extends java.lang.Object
implements XmlFilterChain

Constructor Summary
`XmlPipeline()`
`XmlPipeline(java.util.Properties defaultOutputProperties)`
`XmlPipeline(org.xml.sax.XMLReader xmlReader)`
`XmlPipeline(org.xml.sax.XMLReader reader, java.lang.String systemId, Expirable expirable, java.util.Properties defaultOutputProperties)`

Method Summary
`void` | `addExpirable(Expirable expirable)`
`void` | `addOutputProperties(java.util.Properties properties)`
`void` | `addXmlFilter(org.xml.sax.XMLFilter filter)`
`void` | `execute(org.xml.sax.ContentHandler contentHandler)`
`Expirable` | `getExpirable()`
`java.util.Properties` | `getOutputProperties()`
`org.xml.sax.XMLReader` | `getXmlReader()`
`void` | `setSaxSource(SaxSource saxSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlPipeline

    public XmlPipeline(org.xml.sax.XMLReader xmlReader)

### XmlPipeline

    public XmlPipeline()

### XmlPipeline

    public XmlPipeline(java.util.Properties defaultOutputProperties)

### XmlPipeline

    public XmlPipeline(org.xml.sax.XMLReader reader,
                       java.lang.String systemId,
                       Expirable expirable,
                       java.util.Properties defaultOutputProperties)

Method Detail

### setSaxSource

    public void setSaxSource(SaxSource saxSource)

  Specified by:
    `setSaxSource` in interface `XmlFilterChain`

### getXmlReader

    public org.xml.sax.XMLReader getXmlReader()

  Specified by:
    `getXmlReader` in interface `XmlFilterChain`

### addXmlFilter

    public void addXmlFilter(org.xml.sax.XMLFilter filter)

  Specified by:
    `addXmlFilter` in interface `XmlFilterChain`

### getOutputProperties

    public java.util.Properties getOutputProperties()

  Specified by:
    `getOutputProperties` in interface `XmlFilterChain`

### addOutputProperties

    public void addOutputProperties(java.util.Properties properties)

  Specified by:
    `addOutputProperties` in interface `XmlFilterChain`

### getExpirable

    public Expirable getExpirable()

### addExpirable

    public void addExpirable(Expirable expirable)

  Specified by:
    `addExpirable` in interface `XmlFilterChain`

### execute

    public void execute(org.xml.sax.ContentHandler contentHandler)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD